> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a one time token for a customer

> Creates a CustomerOtp resource.



## OpenAPI

````yaml post /public/customer/request-otp
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /public/customer/request-otp:
    parameters: []
    post:
      tags:
        - CustomerOtp
      summary: Request a one time token for a customer
      description: Creates a CustomerOtp resource.
      operationId: api_publiccustomerrequest-otp_post
      parameters: []
      requestBody:
        description: The new CustomerOtp resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerOtp.RequestCustomerOtp'
          text/html:
            schema:
              $ref: '#/components/schemas/CustomerOtp.RequestCustomerOtp'
        required: true
      responses:
        '204':
          description: No content
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /public/customer/request-otp \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "email": ""
            }'
components:
  schemas:
    CustomerOtp.RequestCustomerOtp:
      type: object
      description: ''
      deprecated: false
      required:
        - email
      properties:
        email:
          maxLength: 255
          format: email
          description: The email of the customer
          externalDocs:
            url: https://schema.org/email
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````